/*
 * Testprogramm fuer die Vektor- und Matrixklasse
 */
public class MatrixVectorTest {

	public static void main(String[] args) {
		Vector v = new Vector(3);
		System.out.println(v.toString());
		
		v.set_entry(1, 2.3);
		System.out.println(v.toString());
		
		Vector w = new Vector(3, "1 2 -3.5");
		System.out.println(w.toString());
		
		System.out.println(w.p_norm(2));
		
		w.sadd(1.0, -2.2, v); // w = w-2.2*v;
		System.out.println(w.toString());
		
		Matrix A = new Matrix(3, 3, "1 2 3 4 5 6 7 8 9");
		System.out.println(A.toString());
		
		A.set_entry(0, 1, 23); // a_{0,1} = 23
		System.out.println(A.toString());
				
		System.out.println(A.apply(w));
	}
}
